using macports and numpy dependency

Artie Ziff artie.ziff at
Sun Oct 4 17:26:39 PDT 2009


Perhaps someone can clarify dependency details?

Does MacPorts "info" indicate that numpy module is configured (in
MacPorts) to work only with python24?

I already had python26 installed and selected.

Is there a way to specify to MacPorts not to install python24, in this
situation, and use python 2,6 instead?

Is this an example of a situation where it is better to use a different
strategy, if I do not want to use python 2.4?


$ port info py-numpy
py-numpy @1.3.0 (python)

Description:          The core utilities for the scientific library
scipy for Python

Library Dependencies: python24, fftw-3, py-nose
Platforms:            darwin
License:              unknown
Maintainers:          dh at, openmaintainer at



More information about the macports-users mailing list